#include "tile/rpc/protocol/message.h"

#include "tile/base/internal/lazy_init.h"

namespace tile {
namespace {
class NullFactory : public MessageFactory {
public:
    std::unique_ptr<Message> Create(Type type, std::uint64_t correlation_id, bool stream) const override
    {
        return nullptr;
    }
};
}// namespace

const MessageFactory *MessageFactory::null_factory = internal::LazyInit<NullFactory>();

}// namespace tile
